"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.matchJsonPathFunction = exports.JsonPathFunctionRegex = void 0;
const JsonPathFunctionsResultSchemas = {
    // fallback type is string (no format)
    min: { type: "number" },
    max: { type: "number" },
    avg: { type: "number" },
    stddev: { type: "number" },
    length: { type: "integer" },
    sum: { type: "number" },
    keys: { type: "array", items: { type: "string" } },
    concat: { type: "string" },
    append: { type: "array" },
};
exports.JsonPathFunctionRegex = new RegExp(`\\.(${Object.keys(JsonPathFunctionsResultSchemas).join("|")})\\(\\)?`);
const matchJsonPathFunction = (data) => {
    if (typeof data === "undefined" || data === null)
        return null;
    const match = data.toString().match(exports.JsonPathFunctionRegex);
    if (!match)
        return null;
    return JsonPathFunctionsResultSchemas[match[1]];
};
exports.matchJsonPathFunction = matchJsonPathFunction;
//# sourceMappingURL=jsonpathFunctions.js.map